HostingManagers
Assign delivery resources to manager
PUT
/api/managers/{manager_code}/assign/deliveryAssigns a delivery domain or account, including linked resources, to a manager.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
manager_code*string
Manager code: MN followed by 8 digits. Example: MN12345678.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
id*string
Delivery domain code or account id.
max_delivery_accounts?integer
Maximum assigned Delivery accounts. -1 means no limit.
Format
int32max_delivery_domains?integer
Maximum assigned Delivery domains. -1 means no limit.
Format
int32Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/managers/string/assign/delivery" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}